# SolrQuery::getFacetDateHardEnd

(PECL solr >= 0.9.2)

SolrQuery::getFacetDateHardEnd — Returns the value of the facet.date.hardend parameter

### Description

public SolrQuery::getFacetDateHardEnd ([ string `$field_override` ] ) : string

Returns the value of the facet.date.hardend parameter. Accepts an optional field override

### Parameters

`field_override`

  The name of the field

### Return Values

Returns a string on success and `NULL` if not set